FUNCTION::ADDR(3stap)

NAME
function::addr - Address of the current probe point.

SYNOPSIS

    addr:long()

ARGUMENTS

None

DESCRIPTION

Returns the instruction pointer from the current probe's register state. Not all probe types have registers though, in which case zero is returned. The returned address is suitable for use with functions like symname and symdata.

SEE ALSO
tapset::context(3stap)